## class FontImplementation

## Inheritance:

### Public Fields

Font* _facade

### Public Methods

virtual std::string getFileName() const = 0
virtual void setSize(unsigned int width, unsigned int height) = 0
  Set the pixel width and height hint
virtual Glyph* getGlyph(unsigned int charcode) = 0
  Get a Glyph for specified charcode, and the font size nearest to the current font size hint
virtual osg::Vec2 getKerning(unsigned int leftcharcode, unsigned int rightcharcode, KerningType kerningType) = 0
  Get a kerning (adjustment of spacing of two adjacent character) for specified charcodes, wrt the current font size hint
virtual bool hasVertical() const = 0
  Return true if this font provides vertical alignments and spacing or glyphs
void setWidth(unsigned int width)
void setHeight(unsigned int height)
void addGlyph(unsigned int width, unsigned int height, unsigned int charcode, Glyph* glyph)

## Documentation

`virtual std::string getFileName() const = 0`

`virtual void setSize(unsigned int width, unsigned int height) = 0`
  Set the pixel width and height hint

`virtual Glyph* getGlyph(unsigned int charcode) = 0`
  Get a Glyph for specified charcode, and the font size nearest to the current font size hint

`virtual osg::Vec2 getKerning(unsigned int leftcharcode, unsigned int rightcharcode, KerningType kerningType) = 0`
  Get a kerning (adjustment of spacing of two adjacent character) for specified charcodes, wrt the current font size hint

`virtual bool hasVertical() const = 0`
  Return true if this font provides vertical alignments and spacing or glyphs

`void setWidth(unsigned int width)`

`void setHeight(unsigned int height)`

`void addGlyph(unsigned int width, unsigned int height, unsigned int charcode, Glyph* glyph)`

`Font* _facade`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.